<div class="row">
  <div class="col-lg-12">
    <div class="ibox float-e-margins">
      <div class="ibox-title">
        <h3>
          <strong>Add Vehicle Category Messages</strong>
        </h3>
      </div>
      <div class="ibox-content">
        <form [formGroup]="saveForm" autocomplete="off" #f="ngForm" class="form-horizontal"
          (ngSubmit)="addVehicleCategoryMessage()">
          <div class="form-group">
            <label class="col-sm-2 control-label">Message<i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder="Message" formControlName="message" maxlength="500" class="form-control"
                required>
              <div class="error-msg"
                *ngIf="saveForm.controls['message'].invalid && (saveForm.controls['message'].dirty || saveForm.controls['message'].touched || f.submitted)">
                <div *ngIf="saveForm.controls['message'].errors.required">
                  Message is required.
                </div>
              </div>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Categories</label>
            <div class="col-sm-10  form-input">
              <mat-select class="form-control" placeholder="Categories" formControlName="category_id" multiple>
                <mat-option *ngFor="let category of CategoryData" [value]="category._id">{{ category.name }}
                </mat-option>
              </mat-select>
            </div>
          </div>
          <div class="form-group">
            <div class="col-sm-4 col-sm-offset-2">
              <button class="btn btn-primary" type="submit">Save</button>
              <button class="btn btn-white" type="button"
                [routerLink]="['/admin/fleet/vehicle-category']">Cancel</button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>